﻿op_prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
op_prefs = op_prefs.getBranch("extensions.dirtypanel.");


//инжинерная функция
function myDump(aMessage) 
{
	var consoleService = Components.classes["@mozilla.org/consoleservice;1"].getService(Components.interfaces.nsIConsoleService);
	consoleService.logStringMessage("Dirty: " + aMessage);
}


function setpreferense(pref_name, value)
{
	op_prefs.setIntPref("dirty_"+pref_name, value);
}

function onsynctopreference_menulist(pref_name)
{
	var menulist = document.getElementById(pref_name);
	var val = menulist.getAttribute("value");
	return val;
}

function onsyncfrompreference_menulist(pref_name)
{
	var menulist = document.getElementById(pref_name);
	var selidx = op_prefs.getIntPref("dirty_"+pref_name);
	menulist.selectedIndex = selidx;
	return;
}

function AdjustPrefpanelHeight(panelname) {
	var panel = document.getElementById(panelname+"Box");
	window.alert("panelHeight = "+panel.boxObject.height);
}

function OnPreferenceLoad() {
	var paramin = window.arguments[0].inn.counter;
	var labeltoset = "";
	var countervaldisp = 0;
	if (paramin <= 1024) {
		countervaldisp = paramin;
		labeltoset = "Получено через панель: "+countervaldisp+" байт.";
	}

	if ((paramin > 1024) && (paramin <= 1048576)) {
		countervaldisp = paramin/1024;
		countervaldisp = countervaldisp.toFixed(2);
		labeltoset = "Получено через панель: "+countervaldisp+" Кб.";
	}
	
	if ((paramin > 1048576) && (paramin <= 1073741824)) {
		countervaldisp = paramin/1048576;
		countervaldisp = countervaldisp.toFixed(2);
		labeltoset = "Получено через панель: "+countervaldisp+" Mб.";
	}

	if (paramin > 1073741824) {
		countervaldisp = paramin/1073741824;
		countervaldisp = countervaldisp.toFixed(2);
		labeltoset = "Получено через панель: "+countervaldisp+" Гб.";
	}

	var el = document.getElementById("TafficCounterlabel");
	el.setAttribute("value", labeltoset);
}

function LoadHelp() {
	window.arguments[1]();
}


